#
# spec file for package rubygem-serverengine
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-serverengine
Version:        2.4.0
Release:        1.4
%define mod_name serverengine
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.3.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/fluent/serverengine
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        ServerEngine - multiprocess server framework
License:        Apache-2.0

%description
A framework to implement robust multiprocess servers like Unicorn.

%prep

%build

%install
%gem_install \
  --doc-files="Changelog LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- 2024-10-22 version 2.4.0
  * Add missing base64 and logger gem as dependency for Ruby 3.4 and 3.5.
  * socket_manager: add feature to share sockets with another server.
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.3.2, see bundled Changelog
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.3.0
  see installed Changelog
  2022-06-13 version 2.3.0
  * Add restart_worker_interval option to prevent workers restart immediately
    after kill
  * Reopen log file when rotation done by external tool is detected
  * Fix unexpected behavior of start_worker_delay option
  * Remove windows-pr dependency
  * Fix a potential crash that command_sender_pipe of ProcessManager::Monitor
    raises error on shutdown
  * Allow to load serverengine/socket_manager without servernegine/utils
  * Fix unstable tests
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.2.5
  see installed Changelog
  2022-01-13 version 2.2.5:
  * Fix DLL load error on Ruby 3.1 on Windows
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.2.4
  see installed Changelog
  2021-05-24 version 2.2.4:
  * Ensure to get correct Win32 socket error on Ruby 3.0
  2021-02-17 version 2.2.3:
  * Change SocketManager's port assignment strategy on Windows
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.2.2
  see installed Changelog
  2020-11-02 version 2.2.2:
  * Fix incomplete Windows support in spawn based multi worker
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.2.1
  see installed Changelog
  2020-01-24 version 2.2.1:
  * Fix IPv6 dual-stack mode issue for UDP
  * experimental: Add SERVERENGINE_USE_SOCKET_REUSEPORT envvar to enable SO_REUSEPORT
  2019-11-16 version 2.2.0:
  * Fix IPv6 dual-stack mode issue for TCP
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.1.1
  see installed Changelog
  2019-04-22 version 2.1.1:
  * Fix bug to ignore SIGDUMP_SIGNAL
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 2.1.0
  see installed Changelog
  2018-11-14 version 2.1.0:
  * Improve socket manager security
* Tue Jul 10 2018 factory-auto@kulow.org
- updated to version 2.0.7
  see installed Changelog
  2018-07-09 version 2.0.7:
  * Add disable_sigdump option
* Tue Feb 27 2018 factory-auto@kulow.org
- updated to version 2.0.6
  see installed Changelog
  2018-02-09 version 2.0.6:
  * Avoid thread error log in ruby 2.5
* Thu Mar  2 2017 coolo@suse.com
- updated to version 2.0.5
  see installed Changelog
  2017-03-01 version 2.0.5:
  * Support SERVERENGINE_SOCKETMANAGER_SOCK_DIR environment variable to change
    base directory of SocketManager's socket path
* Fri Nov 25 2016 coolo@suse.com
- updated to version 2.0.4
  see installed Changelog
  2016-11-24 version 2.0.4:
  * Fix bug to crash Ruby VM when SocketManager fails to bind IPv6 addresses on Windows
  2016-11-22 version 2.0.3:
  * Fix bug about IPv6 handling on Windows
* Fri Nov 18 2016 coolo@suse.com
- updated to version 2.0.2
  see installed Changelog
  2016-11-17 version 2.0.2:
  * Fix bug to make busy loop on Windows
  * Fix bug to execute unexpected "find" command on Windows
* Wed Oct 19 2016 coolo@suse.com
- updated to version 2.0.1
  see installed Changelog
  2016-10-18 version 2.0.1:
  * Fix to set GID before UID, to make it sure to set GID with superuser privilege
* Sat Oct  8 2016 coolo@suse.com
- updated to version 2.0.0
  see installed Changelog
  2016-08-23 version 2.0.0:
  * Add windows-pr gem dependency to get ruby_bin_path correctly
  * Add command sender feature to use pipe to control workers for Windows
  * Delete MultiprocessLogDevice implementation to use Ruby's one always. This
    means removal of backward workaround code for Ruby < 2.1.
  * Refactor modules and methods to clean internal file dependency Internal
    symbol `ServerEngine::Daemon::Signals` is moved to `ServerEngine::Signals`
  * Add example script to run servers
  * Fix required Ruby version to 2.1 or later
* Thu Sep 22 2016 wolfgang.engel@suse.com
- Initial package
